.disclaimer {
  position: fixed;
  inset: auto 0 0;
  display: none;
  max-width: 100dvw;
  max-height: 0;
  opacity: 0;
  visibility: hidden;
  z-index: 10000;
  background: #fff;
  font-weight: 400;
  overflow: hidden;
  transition: opacity 0.2s ease, visibility 0.2s ease, max-height 0.2s ease;
  border-radius: 16px 16px 0 0;
}

.disclaimer.isDisplayFlex {
  display: flex;
}

.disclaimer.isShow {
  max-height: 1000px;
  opacity: 1;
  visibility: visible;
}

.disclaimer__innerWrapper {
  max-width: 1920px;
  margin: 0 auto;
  padding: 16px 142px;
  display: flex;
  gap: 16px;
  align-items: center;
  justify-content: space-between;

  @media (max-width: 1440px) {
    padding: 16px 62px;
  }

  @media (max-width: 992px) {
    padding: 16px 54px;
  }

  @media (max-width: 768px) {
    flex-direction: column;
    align-items: center;
  }

  @media (max-width: 575px) {
    padding: 16px 26px;
  }
}

.disclaimer__textWrapper {
  font-family: var(--second-family);
  color: #212844;
  font-size: 14px;
  line-height: 1.3;
}

.disclaimer__textWrapper a {
  display: inline;
  padding: 0;
  color:  #212844;
  font-weight: 600;
  text-decoration: none;
  cursor: pointer;
  transition: .2s;

  &:hover,
  &:focus-visible {
    color: #637596;
  }
}

.disclaimer__acceptWrapper {
  flex: 0 0 auto;
}

.disclaimer__accept {
  display: block;
  flex: 0 0 auto;
  font-size: 16px;
  line-height: 1;
  font-weight: inherit;
  padding: 16px;
  text-transform: none;
  cursor: pointer;
  background: #212844;
  color: #fff;
  border-radius: 16px;
  text-align: center;
  transition: .2s;
  border: none;

  &:hover,
  &:active,
  &:focus-visible {
    background: #4e5676;
  }
}
